      /**
       * The constants used in this Content Widget.
       */
      public static interface CwConstants extends Constants {
        String cwHyperlinkChoose();

        String cwHyperlinkDescription();

        String cwHyperlinkName();
      }

      /**
       * An instance of the constants.
       */
      private final CwConstants constants;

      /**
       * Initialize this example.
       */
      @Override
      public Widget onInitialize() {
        // Add a label
        VerticalPanel vPanel = new VerticalPanel();
        vPanel.add(new HTML(constants.cwHyperlinkChoose()));
        vPanel.setSpacing(5);

        // Add a hyper link to each section in the Widgets category
        ShowcaseConstants allConstants = (ShowcaseConstants) constants;
        vPanel.add(getHyperlink(CwCheckBox.class, allConstants.cwCheckBoxName()));
        vPanel.add(
            getHyperlink(CwRadioButton.class, allConstants.cwRadioButtonName()));
        vPanel.add(
            getHyperlink(CwBasicButton.class, allConstants.cwBasicButtonName()));
        vPanel.add(
            getHyperlink(CwCustomButton.class, allConstants.cwCustomButtonName()));
        vPanel.add(
            getHyperlink(CwFileUpload.class, allConstants.cwFileUploadName()));
        vPanel.add(
            getHyperlink(CwDatePicker.class, allConstants.cwDatePickerName()));

        // Return the panel
        return vPanel;
      }

      /**
       * Get a {@link Hyperlink} to a section based on the name of the
       * {@link ContentWidget} example.
       *
       * @param cwClass the {@link ContentWidget} class
       * @param name the name to display for the link
       * @return a {@link Hyperlink}
       */
      private <C extends ContentWidget> Hyperlink getHyperlink(
          Class<C> cwClass, String name) {
        Hyperlink link = new Hyperlink(
            name, Showcase.getContentWidgetToken(cwClass));
        link.ensureDebugId("cwHyperlink-" + cwClass.getName());
        return link;
      }